#include "mysql.h"

MySql::MySql(QObject *parent) :
    QObject(parent)
{
}



/************************************************
**      
**
************************************************/



void MySql::setDatabaseName(QString name){
    MySql::sqlDatabaseName = name;
}


bool MySql::connect(QString* errorString){
    db = QSqlDatabase::addDatabase("QMYSQL");

    db.setHostName(MySql::sqlHostName);
    db.setDatabaseName(MySql::sqlDatabaseName);
    db.setUserName(MySql::sqlUserName);
    db.setPassword(MySql::sqlPassword);
    bool ok = db.open();
    if (ok) return true;
    else {errorString->clear();
          errorString->append(db.lastError().text());
        return false; }

    /*
    pdb->setHostName(hostName);
    pdb->setDatabaseName(baseName);
    pdb->setUserName(userName);
    pdb->setPassword(password);
    bool ok = pdb->open();

if (!ok) {
                            QMessageBox::critical( //     .
                                                                            QWidget(this->parent()),                      //  .
                                                                            QObject::tr("Database Error"),   // .
                                                                            db.lastError().text());          //  .
                     }
  */

    return true;
}


void MySql::setUserName(QString uname){
    MySql::sqlUserName = uname;
}

void MySql::setPassword(QString passwrd){
    MySql::sqlPassword = passwrd;
}


void MySql::setHostName(QString hname){
    MySql::sqlHostName = hname;
}

bool  MySql::createTable(SqlTable* table, QString* errorString){ //     
QSqlQuery q;
bool ok;
ok = q.prepare(table->sqlString());
if(!ok) {
    errorString->append(q.lastError().text());
    return false;}
ok = q.exec();
if(!ok) {
    errorString->append(q.lastError().text());
    return false;}
else return true;
}
